require('packer').startup(function(use)
    use 'ConradIrwin/vim-bracketed-paste'
    use 'cappyzawa/trim.nvim'
    use "rafamadriz/friendly-snippets"
    use 'christoomey/vim-tmux-navigator'
    use 'cohama/lexima.vim'
    use 'editorconfig/editorconfig-vim'
    use 'ervandew/supertab'
    use 'hrsh7th/cmp-buffer'
    use 'hrsh7th/cmp-cmdline'
    use 'hrsh7th/cmp-nvim-lsp'
    use 'hrsh7th/cmp-path'
    use 'hrsh7th/vim-vsnip-integ'
    use 'hrsh7th/cmp-vsnip'
    use 'hrsh7th/nvim-cmp'
    use 'hrsh7th/vim-vsnip'
    use 'kristijanhusak/vim-hybrid-material'
    use 'lervag/vimtex'
    use 'neovim/nvim-lspconfig'
    use 'octol/vim-cpp-enhanced-highlight'
    use 'prabirshrestha/asyncomplete-lsp.vim'
    use 'prabirshrestha/vim-lsp'
    use 'tmux-plugins/vim-tmux'
    use 'tmux-plugins/vim-tmux-focus-events'
    use 'tomtom/tcomment_vim'
    use 'vim-airline/vim-airline'
    use 'vim-airline/vim-airline-themes'
    use 'vimwiki/vimwiki'
    use 'wbthomason/packer.nvim'
    use 'williamboman/nvim-lsp-installer'
    use {'nvim-telescope/telescope-fzf-native.nvim', run = 'cmake -S. -Bbuild -DCMAKE_BUILD_TYPE=Release && cmake --build build --config Release && cmake --install build --prefix build'}
    use {'nvim-telescope/telescope.nvim', requires = {{'nvim-lua/plenary.nvim'}}}
    use {'nvim-treesitter/nvim-treesitter', run = ':TSUpdate'}
    use {'glacambre/firenvim', run = function() vim.fn['firenvim#install'](0) end}
end)

require('settings')
require('mappings')
require('lsp_config')
require('telescope-config')
require('trim').setup({
    disable = {"markdown", "vimwiki"},
    patterns = {
        [[%s/\s\+$//e]],           -- remove unwanted spaces
        [[%s/\($\n\s*\)\+\%$//]],  -- trim last line
        [[%s/\%^\n\+//]],          -- trim first line
    },
})

vim.cmd("colorscheme hybrid_material")
vim.api.nvim_create_autocmd("FileType", { pattern = "make", command = [[set tabstop=8 shiftwidth=8 softtabstop=0 noexpandtab]] })
vim.api.nvim_create_autocmd("FileType", { pattern = "vimwiki", command = [[setlocal shiftwidth=2 softtabstop=2 expandtab]] })
vim.api.nvim_create_autocmd("FileType", { pattern = "javascript", command = [[setlocal shiftwidth=2 softtabstop=2 expandtab]] })
vim.api.nvim_create_autocmd("FileType", { pattern = "vue", command = [[setlocal shiftwidth=2 softtabstop=2 expandtab]] })
